#
# spec file for package jx (Version 1.1.16)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp gppshare libgpp xpm mesa

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         jx
Release:      5
Copyright:    John Lindal
Group: 
Provides:     X11-lib jsrc 
Requires: 
Conflicts:    mtc
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.1.16
Summary:      jx, jcc, C/C++ Development Environment 
Source: jsrc-1.1.16.tar.gz
Patch: JX-1.1.16.dif
%description
Code Crusader is a complete code development environment, inspired by
MetroWerks CodeWarrior. It can run on any UNIX machine that uses the X
Window System. JX is a full-featured application framework and widget library
for use with the X Window System. It provides support for all facets of
application development, including distributed applications, and aims to
combine the best of MacOS and NeXTSTEP. It is built directly on top of
Xlib and has been carefully optimized for performance.

Authors:
--------
    John Lindal <jafl@alice.wonderland.caltech.edu>

%prep
%setup -n JX-1.1.16
%patch
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%post
ldconfig
%files
/usr/doc/packages/JX-1.1.16
/usr/doc/packages/jcc-0.13.2
/usr/X11R6/include/jcore
/usr/X11R6/include/ace
/usr/X11R6/include/jx
/usr/X11R6/include/j3d
#/usr/X11R6/include/GL
/usr/X11R6/lib/libjcore.a
/usr/X11R6/lib/libjcore.so
/usr/X11R6/lib/libjcore.so.1.1.16
/usr/X11R6/lib/libACE.a
/usr/X11R6/lib/libjx.a
/usr/X11R6/lib/libjx.so
/usr/X11R6/lib/libjx.so.1.1.16
/usr/X11R6/lib/libj3d.a
/usr/X11R6/lib/libj3d.so
/usr/X11R6/lib/libj3d.so.0.1.1
/usr/X11R6/lib/libjx3d.a
/usr/X11R6/lib/libjx3d.so
/usr/X11R6/lib/libjx3d.so.0.1.1
/usr/X11R6/lib/jx
/usr/bin/makemake
/usr/bin/makecheck
/usr/bin/maketouch
/usr/bin/makerpm
/usr/bin/autodoc
/usr/bin/jfindfiles
/usr/bin/jsearchfiles
# bug ist nicht vorhanden
#/usr/X11R6/bin/fdesign
/usr/X11R6/bin/jfdesign
/usr/X11R6/bin/jxlayout
/usr/X11R6/bin/jxlayout.class.map
/usr/X11R6/bin/jxlayout.option.map
/usr/X11R6/bin/jxlayout.needfont.list
/usr/X11R6/bin/jcc

